<?php
namespace CodingMs\AmazonPayment\Domain\Model;

/***************************************************************
 *
 *  Copyright notice
 *
 *  (c) 2017 Thomas Deuling <typo3@coding.ms>, coding.ms
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Payment preset
 */
class PaymentPreset extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{

    /**
     * @var float
     */
    protected $amount = 0.00;

    /**
     * @var string
     */
    protected $currencyCode = 'EUR';

    /**
     * Seller note
     * @var string
     */
    protected $sellerNote = '';

    /**
     * Address required?
     * @var bool
     */
    protected $addressRequired = false;

    /**
     * Charge on shipment?
     * @var bool
     */
    protected $chargeOnShipment = false;

    /**
     * @return float
     */
    public function getAmount()
    {
        return $this->amount;
    }

    /**
     * @param float $amount
     */
    public function setAmount($amount)
    {
        $this->amount = $amount;
    }

    /**
     * @return string
     */
    public function getSellerNote()
    {
        return $this->sellerNote;
    }

    /**
     * @return string
     */
    public function getCurrencyCode()
    {
        return $this->currencyCode;
    }

    /**
     * @param string $currencyCode
     */
    public function setCurrencyCode($currencyCode)
    {
        $this->currencyCode = $currencyCode;
    }

    /**
     * @param string $sellerNote
     */
    public function setSellerNote($sellerNote)
    {
        $this->sellerNote = $sellerNote;
    }

    /**
     * @return bool
     */
    public function isAddressRequired()
    {
        return $this->addressRequired;
    }

    /**
     * @param bool $addressRequired
     */
    public function setAddressRequired($addressRequired)
    {
        $this->addressRequired = $addressRequired;
    }

    /**
     * @return bool
     */
    public function isChargeOnShipment()
    {
        return ($this->chargeOnShipment && $this->addressRequired);
    }

    /**
     * @param bool $chargeOnShipment
     */
    public function setChargeOnShipment($chargeOnShipment)
    {
        $this->chargeOnShipment = $chargeOnShipment;
    }

}