<?php
return array(
	'ctrl' => array(
		'title'	=> 'LLL:EXT:amazon_payment/Resources/Private/Language/locallang_db.xlf:tx_amazonpayment_domain_model_log',
		'label' => 'amazon_order_reference_id',
		'label_alt' => 'action',
		'label_alt_force' => true,
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		'dividers2tabs' => TRUE,
		/*'versioningWS' => 2,
		'versioning_followPages' => TRUE,

		'languageField' => 'sys_language_uid',
		'transOrigPointerField' => 'l10n_parent',
		'transOrigDiffSourceField' => 'l10n_diffsource',*/
		'delete' => 'deleted',
		'enablecolumns' => array(
			'disabled' => 'hidden',
			'starttime' => 'starttime',
			'endtime' => 'endtime',
		),
		'searchFields' => 'title,description,',
		'iconfile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath('amazon_payment') . 'Resources/Public/Icons/tx_amazonpayment_domain_model_log.png'
	),
	'interface' => array(
		'showRecordFieldList' => 'action, amazon_order_reference_id, payment, request, request_text, response_status, response, response_text',
	),
	'types' => array(
		'1' => array('showitem' => 'action, amazon_order_reference_id, payment,--div--;LLL:EXT:amazon_payment/Resources/Private/Language/locallang_db.xlf:tx_amazonpayment_domain_model_log.tab_request, request, request_text,--div--;LLL:EXT:amazon_payment/Resources/Private/Language/locallang_db.xlf:tx_amazonpayment_domain_model_log.tab_response, response_status, response, response_text'),
	),
	'palettes' => array(
		'1' => array('showitem' => ''),
	),
	'columns' => array(
	
		'sys_language_uid' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.language',
			'config' => array(
				'type' => 'select',
				'renderType' => 'selectSingle',
				'foreign_table' => 'sys_language',
				'foreign_table_where' => 'ORDER BY sys_language.title',
				'items' => array(
					array('LLL:EXT:lang/locallang_general.xlf:LGL.allLanguages', -1),
					array('LLL:EXT:lang/locallang_general.xlf:LGL.default_value', 0)
				),
			),
		),
		'l10n_parent' => array(
			'displayCond' => 'FIELD:sys_language_uid:>:0',
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.l18n_parent',
			'config' => array(
				'type' => 'select',
				'renderType' => 'selectSingle',
				'items' => array(
					array('', 0),
				),
				'foreign_table' => 'tx_amazonpayment_domain_model_log',
				'foreign_table_where' => 'AND tx_amazonpayment_domain_model_log.pid=###CURRENT_PID### AND tx_amazonpayment_domain_model_log.sys_language_uid IN (-1,0)',
			),
		),
		'l10n_diffsource' => array(
			'config' => array(
				'type' => 'passthrough',
			),
		),

		't3ver_label' => array(
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.versionLabel',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'max' => 255,
			)
		),
	
		'hidden' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.hidden',
			'config' => array(
				'type' => 'check',
			),
		),
		'starttime' => array(
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.starttime',
			'config' => array(
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => array(
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				),
			),
		),
		'endtime' => array(
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.endtime',
			'config' => array(
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => array(
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				),
			),
		),

		'amazon_order_reference_id' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:amazon_payment/Resources/Private/Language/locallang_db.xlf:tx_amazonpayment_domain_model_log.amazon_order_reference_id',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			),
		),

		'action' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:amazon_payment/Resources/Private/Language/locallang_db.xlf:tx_amazonpayment_domain_model_log.action',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			),
		),
		'payment' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:amazon_payment/Resources/Private/Language/locallang_db.xlf:tx_amazonpayment_domain_model_log.payment',
			'config' => array(
				'type' => 'select',
				'renderType' => 'selectSingle',
				'foreign_table' => 'tx_amazonpayment_domain_model_payment',
				'foreign_table_where' => "AND tx_amazonpayment_domain_model_payment.pid = ###CURRENT_PID###",
				'size' => 1,
				'minitems' => 1,
				'maxitems' => 1
			),
		),
		'request' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:amazon_payment/Resources/Private/Language/locallang_db.xlf:tx_amazonpayment_domain_model_log.request',
			'config' => array(
				'type' => 'text',
				'cols' => 40,
				'rows' => 15,
				'eval' => 'trim'
			)
		),
		'request_text' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:amazon_payment/Resources/Private/Language/locallang_db.xlf:tx_amazonpayment_domain_model_log.request_text',
			'config' => array(
				'type' => 'text',
				'cols' => 40,
				'rows' => 15,
				'eval' => 'trim'
			)
		),
		'response_status' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:amazon_payment/Resources/Private/Language/locallang_db.xlf:tx_amazonpayment_domain_model_log.response_status',
			'config' => array(
				'type' => 'input',
				'size' => 4
			),
		),
		'response' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:amazon_payment/Resources/Private/Language/locallang_db.xlf:tx_amazonpayment_domain_model_log.response',
			'config' => array(
				'type' => 'text',
				'cols' => 40,
				'rows' => 15,
				'eval' => 'trim'
			)
		),
		'response_text' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:amazon_payment/Resources/Private/Language/locallang_db.xlf:tx_amazonpayment_domain_model_log.response_text',
			'config' => array(
				'type' => 'text',
				'cols' => 40,
				'rows' => 15,
				'eval' => 'trim'
			)
		),
		
	),
);